Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362176 - Lack of logging/messaging to alert user that a quota or limit is reached.
Summary: Lack of logging/messaging to alert user that a quota or limit is reached.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 13:06 UTC by Miheer Salunke
Modified: 2017-03-08 18:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-18 12:51:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0066 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.4 RPM Release Advisory 2017-01-18 17:23:26 UTC

Description Miheer Salunke 2016-08-01 13:06:39 UTC
1. Proposed title of this feature request  
Lack of logging/messaging to alert user that a quota or limit is reached.


3. What is the nature and description of the request?  

 There is no information at all (either on UI or in the logs) that you're hitting limits and that's why deployments are failing. So it becomes hard to determine that reconfiguration of limits and quotas will help solve the issue.


7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
NA
    
10. List any affected packages or components.
OC, Web Console, API, logs.

Comment 2 Dan McPherson 2016-08-01 13:20:56 UTC
Which quota(s) in particular are you referring to?

Comment 3 Eric Rich 2016-08-09 13:57:14 UTC
(In reply to Dan McPherson from comment #2)
> Which quota(s) in particular are you referring to?

Limits and Quota's defined by: 
    https://docs.openshift.com/enterprise/3.2/admin_guide/limits.html
    https://docs.openshift.com/enterprise/3.2/admin_guide/quota.html

Comment 4 Dan McPherson 2016-08-09 15:01:57 UTC
There are events now that tell you you are at your quota.  But I am attaching to the card which is about warning you ahead of time.

Comment 5 Yanping Zhang 2017-01-03 03:49:44 UTC
Since the feature in card https://trello.com/c/mfeqgKvL/716-5-add-to-project-provide-resource-summary-or-warning-when-quota-will-be-exceeded-ux-p2 has been merged in OCP 3.4, there is quota warning info on web console now, and the feature has been tested. So move the bug to Verified.

Comment 7 errata-xmlrpc 2017-01-18 12:51:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0066


Note You need to log in before you can comment on or make changes to this bug.